Attribute VB_Name = "InOut"
' Declarations
Declare Function InPort Lib "InOut.dll" (ByVal Address As Integer) As Integer
Declare Function OutPort Lib "InOut.dll" (ByVal Address As Integer, ByVal Data As Integer) As Integer

' Constants for InOut.dll

' Adresses
Enum LPT1
    Data = &H378
    Status
    Control
End Enum
Enum LPT2
    Data = &H278
    Status
    Control
End Enum
Enum LPT3
    Data = &H3BC
    Status
    Control
End Enum

' Bit constants
' Status
Const Error = 8   ' Error
Const SI = 16     ' Select In
Const PE = 32     ' Paper End
Const Ack = 64    ' Acknowledge
Const Busy = 128
' Control
Const Stb = 1     ' Strobe
Const AF = 2      ' Auto Feed
Const Init = 4    ' Initialize
Const Sel = 8     ' Select

' The parallel port's hardware inverts some bits.
' If you XOR these constants with the values you read or write,
' the bits are inverted so they're normal again.
Const LPTStatus_XOR = &H80
Const LPTControl_XOR = &HB

' Examples :
' =========
'
' Check the busy-line of LPT2 :
' Busy = (InPort(LPT2.Status) Xor LPTStatus_XOR) And Busy
'
' Set a high level on the Strobe- and the Initialize-lines of LPT1 :
' OutPort LPT1.Control, (Stb + Init) Xor LPTControl_XOR
